Package org.apache.lucene.analysis.charfilter

# Class NormalizeCharMap

java.lang.Object
org.apache.lucene.analysis.charfilter.NormalizeCharMap

public class NormalizeCharMap extends Object
Holds a map of String input to String output, to be used with `MappingCharFilter`. Use the `NormalizeCharMap.Builder` to create this.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NormalizeCharMap.Builder`
  Builds an NormalizeCharMap.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`